Name:           asc
Version:        2.2.0.0
Release:        9%{?dist}
Summary:        Advanced Strategic Command
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.asc-hq.org/
Source0:        http://downloads.sourceforge.net/asc-hq/asc-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         asc-2.0.1.0-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel SDL_mixer-devel SDL_sound-devel
BuildRequires:  bzip2-devel libjpeg-devel libsigc++-devel physfs-devel
BuildRequires:  libvorbis-devel libpng-devel libtiff-devel boost-devel
BuildRequires:  freetype-devel expat-devel desktop-file-utils ImageMagick zip
Requires:       hicolor-icon-theme

%description
ASC is a free, turn based strategy game.


%prep
%setup -q
%patch0 -p1 -z .foo
sed -i 's|$datadir/games/|$datadir/|g' configure
sed -i 's|$(datadir)/games/|$(datadir)/|g' `find -name Makefile.in`
chmod -x source/libs/paragui/include/paragui.h


%build
%configure --enable-genparse --disable-paraguitest --disable-dependency-tracking
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
convert data/%{name}.ico %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 %{name}-1.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-0.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}*.6.gz


%changelog
* Thu Jul 29 2010 Bill Nottingham <notting@redhat.com> - 2.2.0.0-9
- Rebuild for Boost soname bump

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 2.2.0.0-8
- Rebuild for Boost soname bump

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.2.0.0-7
- Rebuild for Boost soname bump

* Thu Aug 20 2009 Warren Togami <wtogami@redhat.com> - 2.2.0.0-6
- rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hans de Goede <hdegoede@redhat.com> 2.2.0.0-4
- Rebuild for new boost

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Petr Machata <pmachata@redhat.com> - 2.2.0.0-2
- Rebuild for new boost

* Mon Dec 15 2008 Hans de Goede <hdegoede@redhat.com> 2.2.0.0-1
- New upstream version 2.2.0.0

* Sun Aug 17 2008 Hans de Goede <jwrdegoede@fedoraproject.org> 2.1.0.0-2
- Rebuild for new boost

* Mon Apr 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.1.0.0-1
- New upstream version 2.1.0.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.1.0-3
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.1.0-2
- Fix compilation with gcc-4.3

* Sun Oct 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.1.0-1
- New upstream version 2.0.1.0
- Use included (patched/bugfixed) paragui copy
- Use included (patched/bugfixed) SDLmm copy

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-3
- Rebuild for new expat 2.0

* Sun Aug  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-2
- Update License tag for new Licensing Guidelines compliance

* Mon Mar 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-1
- Initial Fedora Extras package based on specfile by Che (newrpms)
